Page MenuHomePhabricator

Implement Vue inlanguage directive
Closed, ResolvedPublic

Description

Inspired by termbox (inlanguage.ts), but gets the direction from $.uls.data.getDir(), not from the store.
Additionally, language codes need to be mapped to their bcp47-compatible equivalents - this knowledge was only recently (re)gained in T231476: Termbox (v2) does not map nonstandard language codes to standard ones for HTML/T231475

NOTE: This implies a hard dependency of Data Bridge on ULS. In Wikimedia production, all Wikibase Client wikis also use ULS, but we should document this dependency somewhere.

Notes

  • mediaWiki.language.bcp47() seems to be an option for language code mapping in client implementations

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: wire language info repository
mediawiki/extensions/Wikibase : masterbridge: Reuse inlanguage directive
mediawiki/extensions/Wikibase : masterbridge: Introduce UlsDirectionalityRepository

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2019, 3:41 PM

Change 533873 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: Reuse inlanguage directive

https://gerrit.wikimedia.org/r/533873

Where do we put our documentation about dependencies?

Change 533894 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: Introduce UlsDirectionalityRepository

https://gerrit.wikimedia.org/r/533894

Change 533936 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: wire directionality repository

https://gerrit.wikimedia.org/r/533936

Pablo-WMDE updated the task description. (Show Details)Sep 2 2019, 4:29 PM
Pablo-WMDE updated the task description. (Show Details)Sep 2 2019, 4:34 PM

Change 533894 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Introduce UlsDirectionalityRepository

https://gerrit.wikimedia.org/r/533894

Change 533873 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Reuse inlanguage directive

https://gerrit.wikimedia.org/r/533873

Change 533936 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: wire language info repository

https://gerrit.wikimedia.org/r/533936

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 6 2019, 4:53 PM
Lucas_Werkmeister_WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-4 board.